Endpoint Groups
Macros
Macros operations within the Models API group.
List macrosGET
/macros
Operation ID
listMacrosQuery Parameters
| Name | Type | Required | Description |
|---|---|---|---|
max_results |
integer |
false |
- |
page_token |
string |
false |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
429 |
Client error |
500 |
Server error |
Create macroPOST
/macros
Operation ID
createMacroRequest Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
201 |
The request has succeeded and a new resource has been created as a result. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |
Get macroGET
/macros/{macroName}
Operation ID
getMacroPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
macroName |
string |
true |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Update macroPATCH
/macros/{macroName}
Operation ID
updateMacroPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
macroName |
string |
true |
- |
Request Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |
Delete macroDELETE
/macros/{macroName}
Operation ID
deleteMacroPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
macroName |
string |
true |
- |
Responses
| Code | Description |
|---|---|
204 |
There is no content to send for this request, but the headers may be useful. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |
Diff macro revisionsGET
/macros/{macroName}/diff
Operation ID
diffMacroRevisionsPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
macroName |
string |
true |
- |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
from_version |
integer |
true |
- |
to_version |
integer |
true |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Get macro impactGET
/macros/{macroName}/impact
Operation ID
getMacroImpactPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
macroName |
string |
true |
- |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
max_results |
integer |
false |
- |
page_token |
string |
false |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
List macro revisionsGET
/macros/{macroName}/revisions
Operation ID
listMacroRevisionsPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
macroName |
string |
true |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |